package ru.potapov.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2019-11-26T12:02:05.660+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.potapov.ru/", name = "IProjectEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface IProjectEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterXmlRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterXml/Fault/Exception")})
    @RequestWrapper(localName = "loadFasterXml", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadFasterXml")
    @ResponseWrapper(localName = "loadFasterXmlResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadFasterXmlResponse")
    public void loadFasterXml(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadJaxbRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadJaxbResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadJaxb/Fault/Exception")})
    @RequestWrapper(localName = "loadJaxb", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadJaxb")
    @ResponseWrapper(localName = "loadJaxbResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadJaxbResponse")
    public void loadJaxb(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        boolean arg1
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByNameAndUserIdRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByNameAndUserIdResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByNameAndUserId/Fault/ValidateExeption")})
    @RequestWrapper(localName = "findProjectByNameAndUserId", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindProjectByNameAndUserId")
    @ResponseWrapper(localName = "findProjectByNameAndUserIdResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindProjectByNameAndUserIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project findProjectByNameAndUserId(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        java.lang.String arg2
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterJsonRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadFasterJson/Fault/Exception")})
    @RequestWrapper(localName = "loadFasterJson", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadFasterJson")
    @ResponseWrapper(localName = "loadFasterJsonResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadFasterJsonResponse")
    public void loadFasterJson(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/renameProjectRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/renameProjectResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/renameProject/Fault/ValidateExeption"), @FaultAction(className = CloneNotSupportedException_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/renameProject/Fault/CloneNotSupportedException")})
    @RequestWrapper(localName = "renameProject", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RenameProject")
    @ResponseWrapper(localName = "renameProjectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RenameProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project renameProject(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.Project arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        java.lang.String arg2
    ) throws ValidateExeption_Exception, CloneNotSupportedException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProjectRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProjectResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProject/Fault/ValidateExeption")})
    @RequestWrapper(localName = "removeAllProject", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveAllProject")
    @ResponseWrapper(localName = "removeAllProjectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveAllProjectResponse")
    public void removeAllProject(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.util.List<ru.potapov.tm.endpoint.Project> arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/putProjectRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/putProjectResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/putProject/Fault/ValidateExeption")})
    @RequestWrapper(localName = "putProject", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.PutProject")
    @ResponseWrapper(localName = "putProjectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.PutProjectResponse")
    public void putProject(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.Project arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProject/Fault/ValidateExeption")})
    @RequestWrapper(localName = "findOneProject", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProject")
    @ResponseWrapper(localName = "findOneProjectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project findOneProject(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterJsonRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterJson/Fault/Exception")})
    @RequestWrapper(localName = "saveFasterJson", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveFasterJson")
    @ResponseWrapper(localName = "saveFasterJsonResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveFasterJsonResponse")
    public void saveFasterJson(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterXmlRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveFasterXml/Fault/Exception")})
    @RequestWrapper(localName = "saveFasterXml", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveFasterXml")
    @ResponseWrapper(localName = "saveFasterXmlResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveFasterXmlResponse")
    public void saveFasterXml(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/collectProjectInfoRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/collectProjectInfoResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/collectProjectInfo/Fault/ValidateExeption")})
    @RequestWrapper(localName = "collectProjectInfo", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CollectProjectInfo")
    @ResponseWrapper(localName = "collectProjectInfoResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CollectProjectInfoResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String collectProjectInfo(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.Project arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        java.lang.String arg2
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectByNameAndUserIdRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectByNameAndUserIdResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectByNameAndUserId/Fault/ValidateExeption")})
    @RequestWrapper(localName = "findOneProjectByNameAndUserId", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProjectByNameAndUserId")
    @ResponseWrapper(localName = "findOneProjectByNameAndUserIdResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProjectByNameAndUserIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project findOneProjectByNameAndUserId(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1,
        @WebParam(name = "arg2", targetNamespace = "")
        java.lang.String arg2
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/checkProjectSizeRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/checkProjectSizeResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/checkProjectSize/Fault/ValidateExeption")})
    @RequestWrapper(localName = "checkProjectSize", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CheckProjectSize")
    @ResponseWrapper(localName = "checkProjectSizeResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.CheckProjectSizeResponse")
    @WebResult(name = "return", targetNamespace = "")
    public int checkProjectSize(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveJaxbRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveJaxbResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveJaxb/Fault/Exception")})
    @RequestWrapper(localName = "saveJaxb", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveJaxb")
    @ResponseWrapper(localName = "saveJaxbResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveJaxbResponse")
    public void saveJaxb(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        boolean arg1
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/getProjectCollectionRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/getProjectCollectionResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/getProjectCollection/Fault/ValidateExeption")})
    @RequestWrapper(localName = "getProjectCollection", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetProjectCollection")
    @ResponseWrapper(localName = "getProjectCollectionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetProjectCollectionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.potapov.tm.endpoint.Project> getProjectCollection(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectByIdRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectByIdResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findOneProjectById/Fault/ValidateExeption")})
    @RequestWrapper(localName = "findOneProjectById", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProjectById")
    @ResponseWrapper(localName = "findOneProjectByIdResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindOneProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project findOneProjectById(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProjectByUserIdRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProjectByUserIdResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeAllProjectByUserId/Fault/ValidateExeption")})
    @RequestWrapper(localName = "removeAllProjectByUserId", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveAllProjectByUserId")
    @ResponseWrapper(localName = "removeAllProjectByUserIdResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveAllProjectByUserIdResponse")
    public void removeAllProjectByUserId(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByNameRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByNameResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/findProjectByName/Fault/ValidateExeption")})
    @RequestWrapper(localName = "findProjectByName", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindProjectByName")
    @ResponseWrapper(localName = "findProjectByNameResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.FindProjectByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Project findProjectByName(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveBinarRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveBinarResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/saveBinar/Fault/Exception")})
    @RequestWrapper(localName = "saveBinar", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveBinar")
    @ResponseWrapper(localName = "saveBinarResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.SaveBinarResponse")
    public void saveBinar(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadBinarRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadBinarResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/loadBinar/Fault/Exception")})
    @RequestWrapper(localName = "loadBinar", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadBinar")
    @ResponseWrapper(localName = "loadBinarResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.LoadBinarResponse")
    public void loadBinar(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeProjectRequest", output = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeProjectResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/IProjectEndpoint/removeProject/Fault/ValidateExeption")})
    @RequestWrapper(localName = "removeProject", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveProject")
    @ResponseWrapper(localName = "removeProjectResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveProjectResponse")
    public void removeProject(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.Project arg1
    ) throws ValidateExeption_Exception;
}
